Index: greenstone3/trunk/web/interfaces/default/transform/document.xsl
===================================================================
--- greenstone3/trunk/web/interfaces/default/transform/document.xsl	(revision 18315)
+++ greenstone3/trunk/web/interfaces/default/transform/document.xsl	(revision 18316)
@@ -422,49 +419,49 @@
   
   <xsl:template name="xmldocumentContentPeeling">
-		<xsl:choose>
-			<xsl:when test="@docType='simple'">
-				<xsl:apply-templates select="nodeContent"/>
-			</xsl:when>
-			<xsl:otherwise>
-				<xsl:call-template name="xmlpeelingContents" />
-			</xsl:otherwise>
-		</xsl:choose>
-	</xsl:template>
-	
+    <xsl:choose>
+      <xsl:when test="@docType='simple'">
+	<xsl:apply-templates select="nodeContent"/>
+      </xsl:when>
+      <xsl:otherwise>
+	<xsl:call-template name="xmlpeelingContents" />
+      </xsl:otherwise>
+    </xsl:choose>
+  </xsl:template>
+  
   <xsl:template name="xmlpeelingContents">
-		<xsl:if test="documentNode">
-			<xsl:apply-templates select="documentNode" mode="xmlpeeling" />
-		</xsl:if>
-	</xsl:template>
-
-	<xsl:template match="documentNode" mode="xmlpeeling">
-		<!-- get title -->
-		<xsl:choose>
-			<xsl:when test="nodeContent">
-				<xsl:text disable-output-escaping="yes">
-					&lt;Section&gt;
-					&lt;Description&gt;
-					&lt;Metadata name="Title"&gt;
-				</xsl:text>
-				<xsl:value-of select="normalize-space(metadataList/metadata[@name='Title'])"/>
-				<xsl:text disable-output-escaping="yes">
-					&lt;/Metadata&gt;
-					&lt;/Description&gt;
-				</xsl:text>
-				<xsl:value-of select="normalize-space(nodeContent)" disable-output-escaping="yes"/>
-				<xsl:text disable-output-escaping="yes">&lt;/Sec&gt;</xsl:text>
-			</xsl:when>
-		</xsl:choose>
-
-		<!-- recurse to the children -->
-		<xsl:if test="documentNode">
-			<xsl:apply-templates select="documentNode" mode="xmlpeeling" />
-		</xsl:if>
-
-		<!-- end the section -->
-		<xsl:text disable-output-escaping="yes">
-			&lt;/Section&gt;
-		</xsl:text>
-	</xsl:template>
+    <xsl:if test="documentNode">
+      <xsl:apply-templates select="documentNode" mode="xmlpeeling" />
+    </xsl:if>
+  </xsl:template>
+
+  <xsl:template match="documentNode" mode="xmlpeeling">
+    <!-- get title -->
+    <xsl:choose>
+      <xsl:when test="nodeContent">
+	<xsl:text disable-output-escaping="yes">
+	  &lt;Section&gt;
+	  &lt;Description&gt;
+	  &lt;Metadata name="Title"&gt;
+	</xsl:text>
+	<xsl:value-of select="normalize-space(metadataList/metadata[@name='Title'])"/>
+	<xsl:text disable-output-escaping="yes">
+	  &lt;/Metadata&gt;
+	  &lt;/Description&gt;
+	</xsl:text>
+	<xsl:value-of select="normalize-space(nodeContent)" disable-output-escaping="yes"/>
+	<xsl:text disable-output-escaping="yes">&lt;/Sec&gt;</xsl:text>
+      </xsl:when>
+    </xsl:choose>
+
+    <!-- recurse to the children -->
+    <xsl:if test="documentNode">
+      <xsl:apply-templates select="documentNode" mode="xmlpeeling" />
+    </xsl:if>
+
+    <!-- end the section -->
+    <xsl:text disable-output-escaping="yes">
+      &lt;/Section&gt;
+    </xsl:text>
+  </xsl:template>
   
   <!-- match any file nodes -->
@@ -495,5 +492,5 @@
     <xsl:variable name="serviceargs">
       <xsl:for-each select="param">&amp;s1.<xsl:value-of select="@name"/>=<xsl:value-of select="@value"/></xsl:for-each>
-  </xsl:variable>
+    </xsl:variable>
     <a href="{$library_name}?{$actionargs}&amp;c={$collName}{$serviceargs}"><xsl:value-of disable-output-escaping="yes" select="."/></a>
   </xsl:template>
@@ -596,14 +593,14 @@
     
     <div class="documentarrows">
-    <xsl:if test="not(string($ed)='1')">
-       <xsl:call-template name="documentArrow">
-        <xsl:with-param name="collName" select="$collName"/>
-       <xsl:with-param name="direction">back</xsl:with-param>
-     </xsl:call-template>
-    <xsl:call-template name="documentArrow">
-      <xsl:with-param name="collName" select="$collName"/>
-      <xsl:with-param name="direction">forward</xsl:with-param>
-    </xsl:call-template>
-    </xsl:if>
+      <xsl:if test="not(string($ed)='1')">
+	<xsl:call-template name="documentArrow">
+	  <xsl:with-param name="collName" select="$collName"/>
+	  <xsl:with-param name="direction">back</xsl:with-param>
+	</xsl:call-template>
+	<xsl:call-template name="documentArrow">
+	  <xsl:with-param name="collName" select="$collName"/>
+	  <xsl:with-param name="direction">forward</xsl:with-param>
+	</xsl:call-template>
+      </xsl:if>
     </div>
     
@@ -615,11 +612,11 @@
     <xsl:variable name="request-params" select="/page/pageRequest/paramList"/>
     <xsl:if test='$request-params/param[@name="dt"]/@value != "simple"'>  
-    <a><xsl:attribute name="href"><xsl:value-of select="$library_name"/>?a=d&amp;c=<xsl:value-of select="$collName"/>&amp;d=<xsl:value-of select="@selectedNode"/><xsl:choose><xsl:when test="$direction='back'">.pp</xsl:when><xsl:otherwise>.np</xsl:otherwise></xsl:choose>&amp;sib=1&amp;p.s=<xsl:value-of select='$request-params/param[@name="p.s"]/@value'/>&amp;p.sa=<xsl:value-of select='$request-params/param[@name="p.sa"]/@value'/>&amp;p.a=<xsl:value-of select='$request-params/param[@name="p.a"]/@value'/></xsl:attribute><xsl:choose><xsl:when test="$direction='back'"><img class="lessarrow" src="interfaces/default/images/less.gif" /></xsl:when><xsl:otherwise><img class="morearrow" src="interfaces/default/images/more.gif"  /></xsl:otherwise></xsl:choose></a>
+      <a><xsl:attribute name="href"><xsl:value-of select="$library_name"/>?a=d&amp;c=<xsl:value-of select="$collName"/>&amp;d=<xsl:value-of select="@selectedNode"/><xsl:choose><xsl:when test="$direction='back'">.pp</xsl:when><xsl:otherwise>.np</xsl:otherwise></xsl:choose>&amp;sib=1&amp;p.s=<xsl:value-of select='$request-params/param[@name="p.s"]/@value'/>&amp;p.sa=<xsl:value-of select='$request-params/param[@name="p.sa"]/@value'/>&amp;p.a=<xsl:value-of select='$request-params/param[@name="p.a"]/@value'/></xsl:attribute><xsl:choose><xsl:when test="$direction='back'"><img class="lessarrow" src="interfaces/default/images/less.gif" /></xsl:when><xsl:otherwise><img class="morearrow" src="interfaces/default/images/more.gif"  /></xsl:otherwise></xsl:choose></a>
     </xsl:if> 
   </xsl:template>
 
   <xsl:template name="externalPage">
-     <xsl:param name="external"/>
-     <xsl:variable name="go_forward_link"><a><xsl:attribute name="href"><xsl:value-of select="$external"/></xsl:attribute><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'external.go_forward')"/></a></xsl:variable>
+    <xsl:param name="external"/>
+    <xsl:variable name="go_forward_link"><a><xsl:attribute name="href"><xsl:value-of select="$external"/></xsl:attribute><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'external.go_forward')"/></a></xsl:variable>
     <h2><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'external.title')"/></h2>
     <p><xsl:value-of select="util:getInterfaceTextWithDOM($interface_name, /page/@lang, 'external.text', $go_forward_link)" disable-output-escaping="yes"/>
Index: greenstone3/trunk/web/interfaces/default/transform/query.xsl
===================================================================
--- greenstone3/trunk/web/interfaces/default/transform/query.xsl	(revision 18315)
+++ greenstone3/trunk/web/interfaces/default/transform/query.xsl	(revision 18316)
@@ -15,25 +15,25 @@
   <xsl:output method="html"/>
   
-    <!-- the main page layout template is here -->
+  <!-- the main page layout template is here -->
   <xsl:template match="page">
-        <html>
-    <head>
-      <title>
-	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
-	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
-      </title>
-      <xsl:call-template name="globalStyle"/>
-      <xsl:call-template name="pageStyle"/>
-    </head>
-          <body>
-           <div id="globalwrapper">
-   		  <xsl:call-template name="response" />
-		  <xsl:call-template name="greenstoneFooter"/>
-	   </div>
-          </body>
-        </html>
+    <html>
+      <head>
+	<title>
+	  <!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	  <xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+	</title>
+	<xsl:call-template name="globalStyle"/>
+	<xsl:call-template name="pageStyle"/>
+      </head>
+      <body>
+	<div id="globalwrapper">
+	  <xsl:call-template name="response" />
+	  <xsl:call-template name="greenstoneFooter"/>
+	</div>
+      </body>
+    </html>
   </xsl:template>
 
-   <xsl:variable name="berrybasketswitch"><xsl:value-of select="/page/pageRequest/paramList/param[@name='berrybasket']/@value"/></xsl:variable> 
+  <xsl:variable name="berrybasketswitch"><xsl:value-of select="/page/pageRequest/paramList/param[@name='berrybasket']/@value"/></xsl:variable> 
 
   <xsl:template name="pageTitle">
@@ -43,5 +43,4 @@
   <!-- page specific style goes here -->
   <xsl:template name="pageStyle">     	
-    <!--<xsl:if test="$berryBaskets = 'true'">-->
     <xsl:if test="$berrybasketswitch = 'on'">
       <xsl:call-template name="berryStyleSheet"/>
@@ -61,20 +60,19 @@
     </xsl:call-template> 
     <div id="content">
-    <xsl:apply-templates select="service">
-      <xsl:with-param name="collName" select="$collName"/>
-    </xsl:apply-templates>
-   
-    <!--<xsl:if test="$berryBaskets = 'true'">-->
-    <xsl:if test="$berrybasketswitch = 'on'">
-      <xsl:call-template name="berrybasket"/>
-    </xsl:if>
+      <xsl:apply-templates select="service">
+	<xsl:with-param name="collName" select="$collName"/>
+      </xsl:apply-templates>
+      
+      <xsl:if test="$berrybasketswitch = 'on'">
+	<xsl:call-template name="berrybasket"/>
+      </xsl:if>
       <xsl:if test="contains($requesttype, 'r')">
-      <xsl:call-template name="query-response">
-	<xsl:with-param name="collName" select="$collName"/>
-      </xsl:call-template>
+	<xsl:call-template name="query-response">
+	  <xsl:with-param name="collName" select="$collName"/>
+	</xsl:call-template>
       </xsl:if>
       
     </div>
-   </xsl:template>
+  </xsl:template>
 
 
@@ -90,16 +88,14 @@
     <xsl:if test="documentNodeList">
 
-     <!-- next and prev links at top of results-->
-   
+      <!-- next and prev links at top of results-->     
       <xsl:call-template name="resultNavigation">
 	<xsl:with-param name="collName" select="$collName"/>
       </xsl:call-template>
-   
-      <!-- Display the matching documents -->  
       
+      <!-- Display the matching documents -->        
       <xsl:call-template name="resultList">
 	<xsl:with-param name="collName" select="$collName"/>
       </xsl:call-template>
-    
+      
       <!-- next and prev links at bottom of page -->
       <xsl:call-template name="resultNavigation">
@@ -114,19 +110,19 @@
     <xsl:variable name="subaction" select="../pageRequest/@subaction"/>
     <div id="queryform">
-    <form name="QueryForm" method="get" action="{$library_name}">
-      <input type="hidden" name="a" value="q"/>
-      <input type="hidden" name="sa" value="{$subaction}"/>
-      <input type="hidden" name="rt" value="rd"/>
-      <input type="hidden" name="s" value="{@name}"/>
-      <input type="hidden" name="c" value="{$collName}"/>
-      <xsl:if test="not(paramList/param[@name='startPage'])">
-	<input type="hidden" name="startPage" value="1"/>
-      </xsl:if>
-      <xsl:apply-templates select="paramList"/>
-      <input type="submit"><xsl:attribute name="value"><xsl:value-of select="displayItem[@name='submit']"/></xsl:attribute></input>
-    </form>
+      <form name="QueryForm" method="get" action="{$library_name}">
+	<input type="hidden" name="a" value="q"/>
+	<input type="hidden" name="sa" value="{$subaction}"/>
+	<input type="hidden" name="rt" value="rd"/>
+	<input type="hidden" name="s" value="{@name}"/>
+	<input type="hidden" name="c" value="{$collName}"/>
+	<xsl:if test="not(paramList/param[@name='startPage'])">
+	  <input type="hidden" name="startPage" value="1"/>
+	</xsl:if>
+	<xsl:apply-templates select="paramList"/>
+	<input type="submit"><xsl:attribute name="value"><xsl:value-of select="displayItem[@name='submit']"/></xsl:attribute></input>
+      </form>
     </div>
   </xsl:template>
-   
+  
 </xsl:stylesheet>  
 
Index: greenstone3/trunk/web/interfaces/default/transform/querytools.xsl
===================================================================
--- greenstone3/trunk/web/interfaces/default/transform/querytools.xsl	(revision 18315)
+++ greenstone3/trunk/web/interfaces/default/transform/querytools.xsl	(revision 18316)
@@ -10,101 +10,101 @@
   <xsl:template name="resultNavigation">
     <xsl:param name="collName"/>
-   <div class="resultnavigation">  
-  <!-- hits type -->
-    <xsl:variable name='ht'>
-      <xsl:choose>
-	<xsl:when test="/page/pageResponse/service/paramList/param[@name='hitsPerPage']">s</xsl:when>
-	<xsl:otherwise>i</xsl:otherwise>
-      </xsl:choose>
-    </xsl:variable>
-    
-    <xsl:variable name="param-list" select="/page/pageRequest/paramList"/>
-    <!-- hits per page -->
-    <xsl:variable name="hpp">
-      <xsl:choose>
-	<xsl:when test="$ht='s'"><xsl:value-of select="$param-list/param[@name='s1.hitsPerPage']/@value"/></xsl:when>
-	<xsl:when test="$param-list/param[@name='hitsPerPage']"><xsl:value-of select="$param-list/param[@name='hitsPerPage']/@value"/></xsl:when>
-	<xsl:otherwise>20</xsl:otherwise>
-      </xsl:choose>
-    </xsl:variable>
-    <!-- total docs - this may be in numDocsMatched or numDocsReturned metadata -->
-    <xsl:variable name="td">
-      <xsl:choose>
-	<xsl:when test="/page/pageResponse/metadataList/metadata[@name='numDocsReturned']">
-	  <xsl:value-of select="/page/pageResponse/metadataList/metadata[@name='numDocsReturned']"/>
-	</xsl:when>
-	<xsl:when test="/page/pageResponse/metadataList/metadata[@name='numDocsMatched']">
-	  <xsl:value-of select="/page/pageResponse/metadataList/metadata[@name='numDocsMatched']"/>
-	</xsl:when>
-	<xsl:otherwise> <!-- this is just a fall back - shoudl always have the metadata -->
-	  <xsl:value-of select="count(/page/pageResponse/documentNodeList/documentNode)"/>
-	</xsl:otherwise>	
-      </xsl:choose>
-    </xsl:variable>
-
-    <!-- only continue if hpp != -1 and td > hpp -->
-    <xsl:if test="not($hpp=-1) and $td &gt; $hpp">
-      <!-- start page -->
-      <xsl:variable name="here">
+    <div class="resultnavigation">  
+      <!-- hits type -->
+      <xsl:variable name='ht'>
 	<xsl:choose>
-	  <xsl:when test="$ht='s'"><xsl:value-of select="$param-list/param[@name='s1.startPage']/@value"/></xsl:when>
-	  <xsl:when test="$param-list/param[@name='startPage']"><xsl:value-of select="$param-list/param[@name='startPage']/@value"/></xsl:when>
-	  <xsl:otherwise>1</xsl:otherwise>
+	  <xsl:when test="/page/pageResponse/service/paramList/param[@name='hitsPerPage']">s</xsl:when>
+	  <xsl:otherwise>i</xsl:otherwise>
 	</xsl:choose>
       </xsl:variable>
-      <xsl:variable name="sa" select="/page/pageRequest/@subaction"/>
-      <xsl:variable name="service" select="$param-list/param[@name='s']/@value"/>
-      <xsl:variable name="prev" select="$here - 1"/>
-      <xsl:variable name="next" select="$here + 1"/>
-      <xsl:variable name="page-param"><xsl:if test="$ht='s'">s1.</xsl:if>startPage</xsl:variable>
-     
-      <div>   
+      
+      <xsl:variable name="param-list" select="/page/pageRequest/paramList"/>
+      <!-- hits per page -->
+      <xsl:variable name="hpp">
+	<xsl:choose>
+	  <xsl:when test="$ht='s'"><xsl:value-of select="$param-list/param[@name='s1.hitsPerPage']/@value"/></xsl:when>
+	  <xsl:when test="$param-list/param[@name='hitsPerPage']"><xsl:value-of select="$param-list/param[@name='hitsPerPage']/@value"/></xsl:when>
+	  <xsl:otherwise>20</xsl:otherwise>
+	</xsl:choose>
+      </xsl:variable>
+      <!-- total docs - this may be in numDocsMatched or numDocsReturned metadata -->
+      <xsl:variable name="td">
+	<xsl:choose>
+	  <xsl:when test="/page/pageResponse/metadataList/metadata[@name='numDocsReturned']">
+	    <xsl:value-of select="/page/pageResponse/metadataList/metadata[@name='numDocsReturned']"/>
+	  </xsl:when>
+	  <xsl:when test="/page/pageResponse/metadataList/metadata[@name='numDocsMatched']">
+	    <xsl:value-of select="/page/pageResponse/metadataList/metadata[@name='numDocsMatched']"/>
+	  </xsl:when>
+	  <xsl:otherwise> <!-- this is just a fall back - should always have the metadata -->
+	    <xsl:value-of select="count(/page/pageResponse/documentNodeList/documentNode)"/>
+	  </xsl:otherwise>	
+	</xsl:choose>
+      </xsl:variable>
+
+      <!-- only continue if hpp != -1 and td > hpp -->
+      <xsl:if test="not($hpp=-1) and $td &gt; $hpp">
+	<!-- start page -->
+	<xsl:variable name="here">
+	  <xsl:choose>
+	    <xsl:when test="$ht='s'"><xsl:value-of select="$param-list/param[@name='s1.startPage']/@value"/></xsl:when>
+	    <xsl:when test="$param-list/param[@name='startPage']"><xsl:value-of select="$param-list/param[@name='startPage']/@value"/></xsl:when>
+	    <xsl:otherwise>1</xsl:otherwise>
+	  </xsl:choose>
+	</xsl:variable>
+	<xsl:variable name="sa" select="/page/pageRequest/@subaction"/>
+	<xsl:variable name="service" select="$param-list/param[@name='s']/@value"/>
+	<xsl:variable name="prev" select="$here - 1"/>
+	<xsl:variable name="next" select="$here + 1"/>
+	<xsl:variable name="page-param"><xsl:if test="$ht='s'">s1.</xsl:if>startPage</xsl:variable>
+	
+	<div>   
 	  <div>
-	     <xsl:if test="$here &gt; 1"><a href="{$library_name}?a=q&amp;sa={$sa}&amp;c={$collName}&amp;s={$service}&amp;rt=rd&amp;{$page-param}={$prev}"><img src="interfaces/default/images/less.gif" width='30' height='16' border='0' align='top'/><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.matches')"/><xsl:text> </xsl:text><xsl:value-of select="number(($prev - 1)*$hpp + 1)"/> - <xsl:value-of select="number(($prev * $hpp))"/></a></xsl:if>
-	   
-	   
-	      <xsl:if test="(($here * $hpp) + 1)  &lt; $td">
-		<xsl:variable name='m' select="number($next * $hpp)"/>
-		<xsl:variable name='mm'><xsl:choose><xsl:when test="$m &lt; $td"><xsl:value-of select='$m'/></xsl:when><xsl:otherwise><xsl:value-of select='$td'/></xsl:otherwise></xsl:choose></xsl:variable>
-		<a href="{$library_name}?a=q&amp;sa={$sa}&amp;c={$collName}&amp;s={$service}&amp;rt=rd&amp;{$page-param}={$next}"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.matches')"/><xsl:text> </xsl:text><xsl:value-of select="number(($next - 1)*$hpp + 1)"/> - <xsl:value-of select="$mm"/><img src="interfaces/default/images/more.gif" width='30' height='16' border='0' align='top'/></a></xsl:if></div>
+	    <xsl:if test="$here &gt; 1"><a href="{$library_name}?a=q&amp;sa={$sa}&amp;c={$collName}&amp;s={$service}&amp;rt=rd&amp;{$page-param}={$prev}"><img src="interfaces/default/images/less.gif" width='30' height='16' border='0' align='top'/><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.matches')"/><xsl:text> </xsl:text><xsl:value-of select="number(($prev - 1)*$hpp + 1)"/> - <xsl:value-of select="number(($prev * $hpp))"/></a></xsl:if>
+	    
+	    
+	    <xsl:if test="(($here * $hpp) + 1)  &lt; $td">
+	      <xsl:variable name='m' select="number($next * $hpp)"/>
+	      <xsl:variable name='mm'><xsl:choose><xsl:when test="$m &lt; $td"><xsl:value-of select='$m'/></xsl:when><xsl:otherwise><xsl:value-of select='$td'/></xsl:otherwise></xsl:choose></xsl:variable>
+	      <a href="{$library_name}?a=q&amp;sa={$sa}&amp;c={$collName}&amp;s={$service}&amp;rt=rd&amp;{$page-param}={$next}"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.matches')"/><xsl:text> </xsl:text><xsl:value-of select="number(($next - 1)*$hpp + 1)"/> - <xsl:value-of select="$mm"/><img src="interfaces/default/images/more.gif" width='30' height='16' border='0' align='top'/></a></xsl:if></div>
 	</div>
-     </xsl:if>
-   </div>
+      </xsl:if>
+    </div>
   </xsl:template>
-    
+  
   <xsl:template name="matchDocs">
     <!-- If the number of matching documents is known, display it -->
     <div id="matchdocs">
-    <xsl:variable name="numDocsMatched" select="metadataList/metadata[@name='numDocsMatched']"/>
-    <xsl:variable name="numDocsReturned" select="metadataList/metadata[@name='numDocsReturned']"/>
-    <xsl:choose>
-      <xsl:when test="$numDocsMatched='0' or $numDocsReturned='0'">
-	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.nodocsmatch')"/>
-      </xsl:when>
-      <xsl:when test="$numDocsMatched='1' or $numDocsReturned='1'">
-	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.onedocsmatch')"/>
-      </xsl:when>
-      <xsl:when test="$numDocsMatched">
-	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.manydocsmatch', $numDocsMatched)"/>
-	<xsl:if test="$numDocsReturned"> (<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.docsreturned', $numDocsReturned)"/>)</xsl:if>
-      </xsl:when>
-      <xsl:when test="$numDocsReturned">
-	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.atleastdocsmatch', $numDocsReturned)"/>
-      </xsl:when>
-    </xsl:choose>
-   </div>
+      <xsl:variable name="numDocsMatched" select="metadataList/metadata[@name='numDocsMatched']"/>
+      <xsl:variable name="numDocsReturned" select="metadataList/metadata[@name='numDocsReturned']"/>
+      <xsl:choose>
+	<xsl:when test="$numDocsMatched='0' or $numDocsReturned='0'">
+	  <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.nodocsmatch')"/>
+	</xsl:when>
+	<xsl:when test="$numDocsMatched='1' or $numDocsReturned='1'">
+	  <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.onedocsmatch')"/>
+	</xsl:when>
+	<xsl:when test="$numDocsMatched">
+	  <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.manydocsmatch', $numDocsMatched)"/>
+	  <xsl:if test="$numDocsReturned"> (<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.docsreturned', $numDocsReturned)"/>)</xsl:if>
+	</xsl:when>
+	<xsl:when test="$numDocsReturned">
+	  <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.atleastdocsmatch', $numDocsReturned)"/>
+	</xsl:when>
+      </xsl:choose>
+    </div>
   </xsl:template>
 
   <!-- paging is now done by the query action, so here we just print out all the docs that we have -->
   <xsl:template name="resultList">
-     <xsl:param name="collName"/>
+    <xsl:param name="collName"/>
     <ul id="resultlist"> 
-     <xsl:for-each select="documentNodeList/documentNode">
+      <xsl:for-each select="documentNodeList/documentNode">
 	<li><table>
-	  <xsl:call-template name="documentNodeWrapper">
-	    <xsl:with-param name="collName" select="$collName"/>
-	    <xsl:with-param name="serviceName" select="/page/pageResponse/service/@name"/>
-	  </xsl:call-template>
-            </table>
+	    <xsl:call-template name="documentNodeWrapper">
+	      <xsl:with-param name="collName" select="$collName"/>
+	      <xsl:with-param name="serviceName" select="/page/pageResponse/service/@name"/>
+	    </xsl:call-template>
+	  </table>
 	</li>	    
       </xsl:for-each>  
@@ -118,5 +118,5 @@
     <xsl:variable name="berrybasketswitch"><xsl:value-of select="/page/pageRequest/paramList/param[@name='berrybasket']/@value"/></xsl:variable>
     <!--<xsl:if test="$berryBaskets = 'true'">-->
-      <xsl:if test="$berrybasketswitch = 'on'">
+    <xsl:if test="$berrybasketswitch = 'on'">
       <xsl:call-template name="addBerry">
 	<xsl:with-param name="collName" select="$collName"/>
@@ -135,20 +135,20 @@
     <xsl:param name="collName"/>
     <xsl:param name="serviceName"/>
-     <a><xsl:attribute name="href"><xsl:value-of select='$library_name'/>?a=d&amp;c=<xsl:value-of select='$collName'/>&amp;d=<xsl:value-of select='@nodeID'/><xsl:if test="@nodeType='leaf'">&amp;sib=1</xsl:if>&amp;dt=<xsl:value-of select='@docType'/>&amp;p.a=q&amp;&amp;p.sa=<xsl:value-of select="/page/pageRequest/@subaction"/>&amp;p.s=<xsl:value-of select="$serviceName"/></xsl:attribute>
-	<xsl:apply-templates select="." mode="displayNodeIcon"/>
-      </a>
+    <a><xsl:attribute name="href"><xsl:value-of select='$library_name'/>?a=d&amp;c=<xsl:value-of select='$collName'/>&amp;d=<xsl:value-of select='@nodeID'/><xsl:if test="@nodeType='leaf'">&amp;sib=1</xsl:if>&amp;dt=<xsl:value-of select='@docType'/>&amp;p.a=q&amp;&amp;p.sa=<xsl:value-of select="/page/pageRequest/@subaction"/>&amp;p.s=<xsl:value-of select="$serviceName"/></xsl:attribute>
+      <xsl:apply-templates select="." mode="displayNodeIcon"/>
+    </a>
     <span><xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/></span>
   </xsl:template>
 
   <xsl:template name="termInfo">
-   <div class="terminfo">
-    <xsl:if test="count(termList/term) > 0">
-     <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.wordcount')"/>
+    <div class="terminfo">
+      <xsl:if test="count(termList/term) > 0">
+	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.wordcount')"/>
 	<xsl:for-each select="termList/term">
 	  <xsl:if test="position() > 1">, </xsl:if>
 	  <xsl:value-of select="@name"/>: <xsl:value-of select="@freq"/> 
 	</xsl:for-each>
-    </xsl:if>
-  </div>
+      </xsl:if>
+    </div>
   </xsl:template>
 
